Index: plugins/widgets/_default_widgets.php
===================================================================
--- plugins/widgets/_default_widgets.php	(revision 1063)
+++ plugins/widgets/_default_widgets.php	(revision 1107)
@@ -47,11 +47,4 @@
 $__widgets->langs->setting('class',__('CSS class:'),'');
 
-$__widgets->create('categories',__('Categories list'),array('defaultWidgets','categories'),null,'List of categories');
-$__widgets->categories->setting('title',__('Title:'),__('Categories'));
-$__widgets->categories->setting('postcount',__('With entries counts'),0,'check');
-$__widgets->categories->setting('homeonly',__('Display on:'),0,'combo',
-	array(__('All pages') => 0, __('Home page only') => 1, __('Except on home page') => 2));
-$__widgets->categories->setting('content_only',__('Content only'),0,'check');
-$__widgets->categories->setting('class',__('CSS class:'),'');
 
 $__widgets->create('subscribe',__('Subscribe links'),array('defaultWidgets','subscribe'),null,'RSS or Atom feed subscription links');
@@ -82,11 +75,4 @@
 $__widgets->create('lastposts',__('Last entries'),array('defaultWidgets','lastposts'),null,'List of last entries published');
 $__widgets->lastposts->setting('title',__('Title:'),__('Last entries'));
-$rs = $core->blog->getCategories(array('post_type'=>'post'));
-$categories = array('' => '', __('Uncategorized') => 'null');
-while ($rs->fetch()) {
-	$categories[str_repeat('&nbsp;&nbsp;',$rs->level-1).($rs->level-1 == 0 ? '' : '&bull; ').html::escapeHTML($rs->cat_title)] = $rs->cat_id;
-}
-$__widgets->lastposts->setting('category',__('Category:'),'','combo',$categories);
-unset($rs,$categories);
 if ($core->plugins->moduleExists('tags')) {
 	$__widgets->lastposts->setting('tag',__('Tag:'),'');
@@ -98,11 +84,4 @@
 $__widgets->lastposts->setting('class',__('CSS class:'),'');
 
-$__widgets->create('lastcomments',__('Last comments'),array('defaultWidgets','lastcomments'),null,'List of last comments posted');
-$__widgets->lastcomments->setting('title',__('Title:'),__('Last comments'));
-$__widgets->lastcomments->setting('limit',__('Comments limit:'),10);
-$__widgets->lastcomments->setting('homeonly',__('Display on:'),1,'combo',
-	array(__('All pages') => 0, __('Home page only') => 1, __('Except on home page') => 2));
-$__widgets->lastcomments->setting('content_only',__('Content only'),0,'check');
-$__widgets->lastcomments->setting('class',__('CSS class:'),'');
 
 # --BEHAVIOR-- initWidgets
@@ -116,5 +95,4 @@
 $__default_widgets['nav']->append($__widgets->navigation);
 $__default_widgets['nav']->append($__widgets->bestof);
-$__default_widgets['nav']->append($__widgets->categories);
 $__default_widgets['extra']->append($__widgets->subscribe);
 
Index: plugins/widgets/_widgets_functions.php
===================================================================
--- plugins/widgets/_widgets_functions.php	(revision 1063)
+++ plugins/widgets/_widgets_functions.php	(revision 1107)
@@ -68,58 +68,5 @@
 	}
 	
-	public static function categories($w)
-	{
-		global $core, $_ctx;
-		
-		if (($w->homeonly == 1 && $core->url->type != 'default') ||
-			($w->homeonly == 2 && $core->url->type == 'default')) {
-			return;
-		}
 
-		$rs = $core->blog->getCategories(array('post_type'=>'post'));
-		if ($rs->isEmpty()) {
-			return;
-		}
-		
-		$res =
-		($w->content_only ? '' : '<div class="categories'.($w->class ? ' '.html::escapeHTML($w->class) : '').'">').
-		($w->title ? '<h2>'.html::escapeHTML($w->title).'</h2>' : '');
-		
-		$ref_level = $level = $rs->level-1;
-		while ($rs->fetch())
-		{
-			$class = '';
-			if (($core->url->type == 'category' && $_ctx->categories instanceof record && $_ctx->categories->cat_id == $rs->cat_id)
-			|| ($core->url->type == 'post' && $_ctx->posts instanceof record && $_ctx->posts->cat_id == $rs->cat_id)) {
-				$class = ' class="category-current"';
-			}
-			
-			if ($rs->level > $level) {
-				$res .= str_repeat('<ul><li'.$class.'>',$rs->level - $level);
-			} elseif ($rs->level < $level) {
-				$res .= str_repeat('</li></ul>',-($rs->level - $level));
-			}
-			
-			if ($rs->level <= $level) {
-				$res .= '</li><li'.$class.'>';
-			}
-			
-			$res .=
-			'<a href="'.$core->blog->url.$core->url->getURLFor('category', $rs->cat_url).'">'.
-			html::escapeHTML($rs->cat_title).'</a>'.
-			($w->postcount ? ' <span>('.$rs->nb_post.')</span>' : '');
-			
-			
-			$level = $rs->level;
-		}
-		
-		if ($ref_level - $level < 0) {
-			$res .= str_repeat('</li></ul>',-($ref_level - $level));
-		}
-		$res .= ($w->content_only ? '' : '</div>');
-		
-		return $res;
-	}
-	
 	public static function bestof($w)
 	{
@@ -211,5 +158,4 @@
 		
 		$p_title = __('This blog\'s entries %s feed');
-		$c_title = __('This blog\'s comments %s feed');
 		
 		$res =
@@ -223,13 +169,4 @@
 		'title="'.sprintf($p_title,($type == 'atom' ? 'Atom' : 'RSS')).'" class="feed">'.
 		__('Entries feed').'</a></li>';
-		
-		if ($core->blog->settings->system->allow_comments || $core->blog->settings->system->allow_trackbacks)
-		{
-			$res .=
-			'<li><a type="'.$mime.'" '.
-			'href="'.$core->blog->url.$core->url->getURLFor('feed',$type.'/comments').'" '.
-			'title="'.sprintf($c_title,($type == 'atom' ? 'Atom' : 'RSS')).'" class="feed">'.
-			__('Comments feed').'</a></li>';
-		}
 		
 		$res .= '</ul>'.($w->content_only ? '' : '</div>');
@@ -323,15 +260,4 @@
 		$params['order'] = 'post_dt desc';
 		$params['no_content'] = true;
-		
-		if ($w->category)
-		{
-			if ($w->category == 'null') {
-				$params['sql'] = ' AND P.cat_id IS NULL ';
-			} elseif (is_numeric($w->category)) {
-				$params['cat_id'] = (integer) $w->category;
-			} else {
-				$params['cat_url'] = $w->category;
-			}
-		}
 		
 		if ($w->tag)
